outbound-config
Check Can Call
Check if agent can make an outbound call right now.
This checks:
- Current time against calling schedules
- Daily call limits
- Concurrent call limits
- Do Not Call lists (if enabled)
- Recipient timezone (if enabled)
GET
/
outbound
/
agents
/
{agent_id}
/
can-call
Check Can Call
curl --request GET \
--url https://api.example.com/outbound/agents/{agent_id}/can-call \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/outbound/agents/{agent_id}/can-call"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/outbound/agents/{agent_id}/can-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"can_call": true,
"calls_today": 123,
"calls_remaining": 123,
"reason": "<string>",
"next_available_time": "<string>",
"current_schedule": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
⌘I
Check Can Call
